<?php

$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$pager = new Yab_Helper_Pager($fonctions, 'pager_fonction');

$fonctions = $pager->getStatement();

?>

<div class="table-responsive"><div id="optiontools"></div><table class="table table-striped table-bordered table-hover table-condensed table-responsive">
	<caption>Fonction</caption>
	<thead>
		<tr>
			<td><?php echo $pager->getSortLink('id'); ?></td>
			<td><?php echo $pager->getSortLink('fonction'); ?></td>
			<td><?php echo $pager->getSortLink('precision'); ?></td>
			<td><?php echo $pager->getSortLink('visible'); ?></td>
			<td colspan="2">#</td>
		</tr>
	</thead>
	<tbody>
	<?php foreach($fonctions as $fonction): ?>
		<tr>
			<td<?php echo $pager->getClass($fonctions); ?>><?php echo $fonction->get('id', $filter_html); ?></td>
			<td<?php echo $pager->getClass($fonctions); ?>><?php echo $fonction->get('fonction', $filter_html); ?></td>
			<td<?php echo $pager->getClass($fonctions); ?>><?php echo $fonction->get('precision', $filter_html); ?></td>
			<td<?php echo $pager->getClass($fonctions); ?>><?php echo $fonction->get('visible', $filter_html); ?></td>
			<td<?php echo $pager->getClass($fonctions); ?>><a href="<?php echo $this->getRequest('Fonction', 'edit', $fonction->getPrimary()); ?>"><img src="<?php echo $request->getBaseUrl(); ?>/images/edit.png" alt="Editer" title="Editer" /></a></td>
			<td<?php echo $pager->getClass($fonctions); ?>><a href="<?php echo $this->getRequest('Fonction', 'delete', $fonction->getPrimary()); ?>"><img src="<?php echo $request->getBaseUrl(); ?>/images/delete.png" alt="Supprimer" title="Supprimer" /></a></td>
		</tr>
	<?php endforeach; ?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="6"><?php echo $pager->getPagination(); ?></td>
		</tr>
		<tr>
			<td colspan="6">
				<a href="<?php echo $this->getRequest('Fonction', 'add'); ?>" class="btn btn-primary">Ajouter</a>
				<a href="<?php echo $this->getRequest('Index', 'index'); ?>" class="btn btn-default" >Retour &agrave; index</a>
			</td>
		</tr>
	</tfoot>
</table></div>